# MPI_File_get_errhandler

Returns the error handler for a file

## Synopsis

    int MPI_File_get_errhandler(MPI_File fh, MPI_Errhandler *errhandler)

## Input Parameters

fh
  file handle (handle)

## Output Parameters

errhandler
  error handler (handle)

## Notes for Fortran

All MPI routines in Fortran (except for `MPI_WTIME` and `MPI_WTICK`) have an additional argument `ierr` at the end of the argument list. `ierr` is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the `call` statement.

All MPI objects (e.g., `MPI_Datatype`, `MPI_Comm`) are of type `INTEGER` in Fortran.

Location:get_errh.c